<?php
/**
 * Ajax script to get the correct quiz answer
 *
 * @link       https://santapress.halloecho.de
 * @since      1.3.0
 *
 * @package    SantaPress
 */

$post_id = $_POST['post_id'];
$answer = strip_tags(urldecode($_POST['answer']));
if(!is_numeric($post_id))
	exit();

$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
require_once( $parse_uri[0] . 'wp-load.php' );

// check if the repeater field has rows of data
if( have_rows('santapress_quiz_answers', $post_id) ) {

	// loop through the rows of data
	while ( have_rows('santapress_quiz_answers', $post_id) ) {

		the_row();
		if(get_sub_field('santapress_quiz_answer') == $answer) {
			if(get_option('santapress_quizcookie') && ISSET($_COOKIE['sp_quiz_cookie']) && $_COOKIE['sp_quiz_cookie'] == $post_id) {
				echo do_shortcode(get_option('santapress_quizcookie_msg'));
			}
			else {
				$santapress_quiz_answer_correct = get_sub_field('santapress_quiz_answer_correct');
				if($santapress_quiz_answer_correct) {
					$santapress_quiztrue = get_field('santapress_correct_response', $post_id);
					if($santapress_quiztrue == '')
						$santapress_quiztrue = get_option('santapress_quiztrue');
					echo do_shortcode($santapress_quiztrue);
				}
				else {
					$santapress_quizfalse = get_field('santapress_incorrect_response', $post_id);
					if($santapress_quizfalse == '')
						$santapress_quizfalse = get_option('santapress_quizfalse');
					echo do_shortcode($santapress_quizfalse);
				}
			}
		}

	}

}

?>