<?php
/**
 * Ajax script that tracks the clicks on each door
 *
 * @link       https://santapress.halloecho.de
 * @since      1.0.0
 *
 * @package    SantaPress
 */

$post_id = $_POST['post_id'];
if(!is_numeric($post_id))
	exit();

$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
require_once( $parse_uri[0] . 'wp-load.php' );

$santapress_clicks = (int)get_post_meta( $post_id, 'santapress_clicks', true );

if(!$santapress_clicks) {
	add_post_meta( $post_id, 'santapress_clicks', 1, true );
}
else {
	$santapress_clicks++;
	update_post_meta( $post_id, 'santapress_clicks', $santapress_clicks );
}

?>